www.digitalmars.com         C & C++   DMDScript  

digitalmars.D.announce - gdcmac for Xcode 3.1

reply =?UTF-8?B?QW5kZXJzIEYgQmrDtsKacmtsdW5k?= <afb algonet.se> writes:
I posted an installer package for Xcode 3.1 and
Mac OS X 10.5.5, based on gcc-5484 and gdc-r229:

gdc-trunk-r229-mac-10.5.dmg
http://sourceforge.net/project/showfiles.php?group_id=135857&package_id=149174&release_id=605580

While the Mac OS X 10.4 package also works - with
Xcode 2.5, this will work with Xcode 3.1 (gcc-4.0).


Packages for DSSS or Tango/Tangobos are available
from dsource, the 10.4 binaries work OK with this:

http://dsource.org/projects/dsss/
http://dsource.org/projects/tango/

It says "Mac OS X 10.4 only" in those installers,
but it really means "Mac OS X 10.4 or 10.5"... :-)

--anders
Oct 03 2008
next sibling parent reply Jacob Carlborg <doobnet gmail.com> writes:
Anders F Bjöšrklund wrote:
 I posted an installer package for Xcode 3.1 and
 Mac OS X 10.5.5, based on gcc-5484 and gdc-r229:
 
 gdc-trunk-r229-mac-10.5.dmg
 http://sourceforge.net/project/showfiles.php?group_id=135857&package_id=1491
4&release_id=605580 
 
 
 While the Mac OS X 10.4 package also works - with
 Xcode 2.5, this will work with Xcode 3.1 (gcc-4.0).
 
 
 Packages for DSSS or Tango/Tangobos are available
 from dsource, the 10.4 binaries work OK with this:
 
 http://dsource.org/projects/dsss/
 http://dsource.org/projects/tango/
 
 It says "Mac OS X 10.4 only" in those installers,
 but it really means "Mac OS X 10.4 or 10.5"... :-)
 
 --anders

Nice work. What version of dmd is gdc-r229 built on?
Oct 03 2008
parent =?UTF-8?B?QW5kZXJzIEYgQmrDtsKacmtsdW5k?= <afb algonet.se> writes:
Jacob Carlborg wrote:

 Nice work. What version of dmd is gdc-r229 built on?

DMD 1.030 http://www.prowiki.org/wiki4d/wiki.cgi?History --anders
Oct 03 2008
prev sibling parent ylixir <ylixir gmail.com> writes:
Anders F Bjöšrklund wrote:
 I posted an installer package for Xcode 3.1 and
 Mac OS X 10.5.5, based on gcc-5484 and gdc-r229:
 
 gdc-trunk-r229-mac-10.5.dmg
 http://sourceforge.net/project/showfiles.php?group_id=135857&package_id=1491
4&release_id=605580 
 
 
 While the Mac OS X 10.4 package also works - with
 Xcode 2.5, this will work with Xcode 3.1 (gcc-4.0).
 
 
 Packages for DSSS or Tango/Tangobos are available
 from dsource, the 10.4 binaries work OK with this:
 
 http://dsource.org/projects/dsss/
 http://dsource.org/projects/tango/
 
 It says "Mac OS X 10.4 only" in those installers,
 but it really means "Mac OS X 10.4 or 10.5"... :-)
 
 --anders

<cheer>
Oct 03 2008